Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.util.job
Class GetTripleStoreOfTripleJob

    java.lang.Object
      edu.stanford.smi.protege.util.RemoteJob
          edu.stanford.smi.protege.util.ProtegeJob
              edu.stanford.smi.protegex.owl.util.job.GetTripleStoreOfTripleJob

All Implemented Interfaces:
  edu.stanford.smi.protege.model.Localizable, Serializable

    public class GetTripleStoreOfTripleJob

extends edu.stanford.smi.protege.util.ProtegeJob

See Also:
  Serialized Form

Constructor Summary
`GetTripleStoreOfTripleJob(RDFResource subject, edu.stanford.smi.protege.model.Slot slot, Object object)`

Method Summary
`TripleStore` | `execute()`
`OWLModel` | `getKnowledgeBase()`
`void` | `localize(edu.stanford.smi.protege.model.KnowledgeBase kb)`
`String` | `run()`

Methods inherited from class edu.stanford.smi.protege.util.ProtegeJob
`fixLoader, getMetaProjectInstance, serverSideCheckOperationAllowed`

Methods inherited from class edu.stanford.smi.protege.util.RemoteJob
`serverSideCheckOperationAllowed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetTripleStoreOfTripleJob

    public GetTripleStoreOfTripleJob(RDFResource subject,
                                     edu.stanford.smi.protege.model.Slot slot,
                                     Object object)

Method Detail

### getKnowledgeBase

    public OWLModel getKnowledgeBase()

  Overrides:
    `getKnowledgeBase` in class `edu.stanford.smi.protege.util.ProtegeJob`

### run

    public String run()
               throws edu.stanford.smi.protege.exception.ProtegeException

  Specified by:
    `run` in class `edu.stanford.smi.protege.util.RemoteJob`
  Throws:
    `edu.stanford.smi.protege.exception.ProtegeException`

### execute

    public TripleStore execute()
                        throws edu.stanford.smi.protege.exception.ProtegeException

  Overrides:
    `execute` in class `edu.stanford.smi.protege.util.ProtegeJob`
  Throws:
    `edu.stanford.smi.protege.exception.ProtegeException`

### localize

    public void localize(edu.stanford.smi.protege.model.KnowledgeBase kb)

  Specified by:
    `localize` in interface `edu.stanford.smi.protege.model.Localizable`
  Overrides:
    `localize` in class `edu.stanford.smi.protege.util.ProtegeJob`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.